import React, { Component } from 'react';
import { Flex, NavBar, List, InputItem, Button, WhiteSpace, WingBlank, Toast } from 'antd-mobile';
import { createForm } from 'rc-form';

class orderinfo extends Component {
    submit = () => {
        this.props.form.validateFields((error, value) => {
            console.log(error, value);
            if (error !== null) {
                if (error.realName) {
                    Toast.info(error.realName.errors[0].message, undefined, undefined, false);
                    return;
                }
                if (error.phone) {
                    Toast.info(error.phone.errors[0].message, undefined, undefined, false);
                    return;
                }
                if (error.qqNumber) {
                    Toast.info(error.qqNumber.errors[0].message, undefined, undefined, false);
                    return;
                }
            }
            this.props.history.push({
                pathname: '/order',
                state: value
            });
        });
    }
    render() {
        const { getFieldProps } = this.props.form;
        return (
            <Flex>
                <Flex.Item>
                    <NavBar
                        style={{ "height": "44px" }}
                        className="order-tab"
                        mode="light"
                        icon={<i className="iconfont iconiconfront-68"></i>}
                    >
                        报名信息
                </NavBar>
                    <div>
                        <List>
                            <InputItem
                                {...getFieldProps('realName', {
                                    rules: [
                                        { required: true, message: '请输入您的姓名！' },
                                    ],
                                })}
                                clear
                                placeholder="请输入您的真实姓名"
                            >姓名</InputItem>
                            <InputItem
                                {...getFieldProps('phone', {
                                    rules: [
                                        { required: true, message: '请输入手机号！' },
                                        { pattern: /^1\d{10}$/, message: '请输入正确手机号码!' }
                                    ]
                                })}
                                clear
                                placeholder="请输入您的手机号码"
                                maxLength='11'
                            >电话</InputItem>
                            <InputItem
                                {...getFieldProps('qqNumber', {
                                    rules: [
                                        { required: true, message: '请输入QQ号！' },
                                        { pattern: /^\d{5,}$/, message: '请输入正确QQ号码!' }
                                    ]
                                })}
                                clear
                                placeholder="请输入您的QQ号码"
                                maxLength='15'
                            >QQ</InputItem>
                        </List>
                        <WhiteSpace />
                        <div style={{ marginTop: '21px' }}>
                            <WingBlank>
                                <Button type="primary" onClick={this.submit}>确认</Button>
                            </WingBlank>
                        </div>

                    </div>
                </Flex.Item>
            </Flex>
        )
    }
}

const Basicorderinfo = createForm()(orderinfo);

export default Basicorderinfo;